Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim
Interface OrganizationType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  OrganizationTypeImpl

    public interface OrganizationType

extends RegistryObjectType

A representation of the model object 'Organization Type'. Mapping of the same named interface in ebRIM.

The following features are supported:

- `Address`
- `Telephone Number`
- `Parent`
- `Primary Contact`

See Also:
  `RimPackage.getOrganizationType()`

Method Summary
`PostalAddressType` | `getAddress()` Returns the value of the 'Address' containment reference.
`java.lang.String` | `getParent()` Returns the value of the 'Parent' attribute.
`java.lang.String` | `getPrimaryContact()` Returns the value of the 'Primary Contact' attribute.
`org.eclipse.emf.common.util.EList` | `getTelephoneNumber()` Returns the value of the 'Telephone Number' containment reference list.
`void` | `setAddress(PostalAddressType value)` Sets the value of the '`Address`' containment reference.
`void` | `setParent(java.lang.String value)` Sets the value of the '`Parent`' attribute.
`void` | `setPrimaryContact(java.lang.String value)` Sets the value of the '`Primary Contact`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.rim.RegistryObjectType
`getAccessControlPolicy, getClassification, getDescription, getExternalIdentifier, getId, getName, getObjectType, getSlot, setAccessControlPolicy, setDescription, setId, setName, setObjectType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAddress

    PostalAddressType getAddress()

  Returns the value of the 'Address' containment reference.

  If the meaning of the 'Address' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Address' containment reference.
  See Also:
    `setAddress(PostalAddressType)`, `RimPackage.getOrganizationType_Address()`

### setAddress

    void setAddress(PostalAddressType value)

  Sets the value of the '`Address`' containment reference.

  Parameters:
    `value` - the new value of the 'Address' containment reference.
  See Also:
    `getAddress()`

### getTelephoneNumber

    org.eclipse.emf.common.util.EList getTelephoneNumber()

  Returns the value of the 'Telephone Number' containment reference list. The list contents are of type `TelephoneNumberType`.

  If the meaning of the 'Telephone Number' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Telephone Number' containment reference list.
  See Also:
    `RimPackage.getOrganizationType_TelephoneNumber()`

### getParent

    java.lang.String getParent()

  Returns the value of the 'Parent' attribute.

  If the meaning of the 'Parent' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent' attribute.
  See Also:
    `setParent(String)`, `RimPackage.getOrganizationType_Parent()`

### setParent

    void setParent(java.lang.String value)

  Sets the value of the '`Parent`' attribute.

  Parameters:
    `value` - the new value of the 'Parent' attribute.
  See Also:
    `getParent()`

### getPrimaryContact

    java.lang.String getPrimaryContact()

  Returns the value of the 'Primary Contact' attribute.

  If the meaning of the 'Primary Contact' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Primary Contact' attribute.
  See Also:
    `setPrimaryContact(String)`, `RimPackage.getOrganizationType_PrimaryContact()`

### setPrimaryContact

    void setPrimaryContact(java.lang.String value)

  Sets the value of the '`Primary Contact`' attribute.

  Parameters:
    `value` - the new value of the 'Primary Contact' attribute.
  See Also:
    `getPrimaryContact()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD